// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#define CppCodegenTest_Package1_Class8_BODY

/************************************************************
 Class8 class body
 ************************************************************/

// include associated header file
#include "CppCodegenTest/Package1/Class8.h"

// Derived includes directives

namespace CppCodegenTest {
namespace Package1 {

// static attributes (if any)

/**
 * 
 * @param iVal1 
 * @param cVal1 
 * @param cVal2 
 * @param iVal2 
 * @return this 
 */
int Class8::operation1(int /*in*/iVal1, char /*in*/cVal1, char /*in*/cVal2,
		int /*in*/iVal2) {
}

/**
 * 
 * @param iVal1 
 */
void Class8::operation1(int /*in*/iVal1) {
}

} // of namespace Package1
} // of namespace CppCodegenTest

/************************************************************
 End of Class8 class body
 ************************************************************/
